Subject: bug#28442: 26.0.50; desktop-save-mode no longer restores correct frame size on macOS

From: Alan Third <[email-masked]>
Date: Wed, 22 Nov 2017 20:31:27 +0000

On Wed, Nov 22, 2017 at 09:15:19AM -0800, Aaron Jensen wrote:
> On November 22, 2017 at 9:07:14 AM, Alan Third
> ([email-masked](mailto:[email-masked])) wrote:
> 
> >
> > Hi Aaron, I think you want to use frame-text-width and frame-text-height
> > rather than frame-geometry-*.
> >
> > frame-geometry-width returns the outer width of the frame, but the
> > functions for *setting* the width and height use the inner frame size,
> > which I think equates to the text area size.
> 
> Ah, that works, thank you.
> 
> That helps for my package, but is there a bug in desktop-save-mode still?

I imagine there must be (it’ll actually be in frameset.el).
Alternatively there’s a bug in the size getting or setting functions
in the NS port.

As far as I can tell they all work as expected, but if that was the
case then presumably other people would be complaining about this
problem on other platforms.

So, I think there’s a bug, but I don’t know where.

-- 
Alan Third